RequestActionMapping (Apache Struts API Documentation)
Keywords: org.apache.struts.action.RequestActionMapping,RequestActionMapping class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class RequestActionMapping

    java.lang.Object
      |
      +--org.apache.struts.config.ActionConfig
            |
            +--org.apache.struts.action.ActionMapping
                  |
                  +--org.apache.struts.action.RequestActionMapping

All Implemented Interfaces:
  java.io.Serializable

public class RequestActionMapping
extends ActionMapping

Subclass of `ActionMapping` that defaults the form bean scope to `request`.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.ActionConfig
`attribute, configured, exceptions, forward, forwards, include, input, moduleConfig, multipartClass, name, parameter, path, prefix, roleNames, roles, scope, suffix, type, unknown, validate`

Constructor Summary
`RequestActionMapping()` Construct a new instance of this class with the desired default form bean scope.

Methods inherited from class org.apache.struts.action.ActionMapping
`findException, findForward, findForwards, getInputForward`

Methods inherited from class org.apache.struts.config.ActionConfig
`addExceptionConfig, addForwardConfig, findExceptionConfig, findExceptionConfigs, findForwardConfig, findForwardConfigs, freeze, getApplicationConfig, getAttribute, getForward, getInclude, getInput, getModuleConfig, getMultipartClass, getName, getParameter, getPath, getPrefix, getRoleNames, getRoles, getScope, getSuffix, getType, getUnknown, getValidate, removeExceptionConfig, removeForwardConfig, setApplicationConfig, setAttribute, setForward, setInclude, setInput, setModuleConfig, setMultipartClass, setName, setParameter, setPath, setPrefix, setRoles, setScope, setSuffix, setType, setUnknown, setValidate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestActionMapping

    public RequestActionMapping()

  Construct a new instance of this class with the desired default form bean scope.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation